org.apache.myfaces.trinidad.component

## Class UIXComponentBase.ComponentSystemEventListenerWrapper

- java.lang.Object
- - org.apache.myfaces.trinidad.component.UIXComponentBase.ComponentSystemEventListenerWrapper

- All Implemented Interfaces:
    EventListener, javax.faces.component.StateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener
  Enclosing class:
    UIXComponentBase

      public static class UIXComponentBase.ComponentSystemEventListenerWrapper
      extends Object
      implements javax.faces.event.SystemEventListener, javax.faces.component.StateHolder, javax.faces.event.ComponentSystemEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIXComponentBase.ComponentSystemEventListenerWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `boolean` | `isListenerForSource(Object source)`
    `boolean` | `isTransient()`
    `void` | `processEvent(javax.faces.event.ComponentSystemEvent event)`
    `void` | `processEvent(javax.faces.event.SystemEvent event)`
    `void` | `restoreState(javax.faces.context.FacesContext context, Object state)`
    `Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setTransient(boolean isTransient)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UIXComponentBase.ComponentSystemEventListenerWrapper

          public UIXComponentBase.ComponentSystemEventListenerWrapper()

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### processEvent

          public void processEvent(javax.faces.event.SystemEvent event)
                            throws javax.faces.event.AbortProcessingException

      Specified by:
        `processEvent` in interface `javax.faces.event.SystemEventListener`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### processEvent

          public void processEvent(javax.faces.event.ComponentSystemEvent event)

      Specified by:
        `processEvent` in interface `javax.faces.event.ComponentSystemEventListener`

    - #### isListenerForSource

          public boolean isListenerForSource(Object source)

      Specified by:
        `isListenerForSource` in interface `javax.faces.event.SystemEventListener`

    - #### saveState

          public Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `javax.faces.component.StateHolder`

    - #### setTransient

          public void setTransient(boolean isTransient)

      Specified by:
        `setTransient` in interface `javax.faces.component.StateHolder`

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.